PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetHeightStratum

Get the bounds [start, end) for all points at a certain height.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetHeightStratum(DM dm, PetscInt stratumValue, PetscInt *start, PetscInt *end)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| stratumValue | - The requested height

### Output Parameters

| start | - The first point at this height
| end | - One beyond the last point at this height

### Notes

Height indexing is related to topological codimension. Height stratum 0 contains the highest topological dimension points, often called "cells" or "elements". If the mesh is "interpolated" (see DMPlexInterpolate()), then height stratum 1 contains the boundary of these "cells", often called "faces" or "facets".

### See Also

DMPlexGetDepthStratum(), DMPlexGetDepth(), DMPlexGetPointHeight()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex8.c.html
src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex52.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages